summaryrefslogtreecommitdiff
path: root/src/testing/test_merchant_instance_purge.sh
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2021-08-17 10:55:57 +0200
committerChristian Grothoff <christian@grothoff.org>2021-08-17 10:55:57 +0200
commitc61650400f2dffbbf0f57bdddc9c19d54de89aa4 (patch)
tree28147c5718162469184e968c31cd10c1edb7aeda /src/testing/test_merchant_instance_purge.sh
parent89b86abd79c15b0359689e687c0243693d35ecfd (diff)
downloadmerchant-c61650400f2dffbbf0f57bdddc9c19d54de89aa4.tar.gz
merchant-c61650400f2dffbbf0f57bdddc9c19d54de89aa4.tar.bz2
merchant-c61650400f2dffbbf0f57bdddc9c19d54de89aa4.zip
add test for #6993
Diffstat (limited to 'src/testing/test_merchant_instance_purge.sh')
-rwxr-xr-xsrc/testing/test_merchant_instance_purge.sh67
1 files changed, 67 insertions, 0 deletions
diff --git a/src/testing/test_merchant_instance_purge.sh b/src/testing/test_merchant_instance_purge.sh
new file mode 100755
index 00000000..dfb867d5
--- /dev/null
+++ b/src/testing/test_merchant_instance_purge.sh
@@ -0,0 +1,67 @@
+#!/bin/bash
+# This file is in the public domain.
+
+. initialize_taler_system.sh
+
+echo -n "Configuring default instance ..."
+
+STATUS=$(curl -H "Content-Type: application/json" -X POST \
+ -H 'Authorization: Bearer secret-token:super_secret' \
+ http://localhost:9966/management/instances \
+ -d '{"auth":{"method":"external"},"payto_uris":["payto://x-taler-bank/localhost/43"],"id":"default","name":"default","address":{},"jurisdiction":{},"default_max_wire_fee":"TESTKUDOS:1", "default_max_deposit_fee":"TESTKUDOS:1","default_wire_fee_amortization":1,"default_wire_transfer_delay":{"d_ms" : 3600000},"default_pay_delay":{"d_ms": 3600000}}' \
+ -w "%{http_code}" -s -o /dev/null)
+
+if [ "$STATUS" != "204" ]
+then
+ echo 'should respond ok, instance created. got:' $STATUS
+ exit 1
+fi
+
+echo " OK"
+
+echo -n "Configuring merchant instance ..."
+
+STATUS=$(curl -H "Content-Type: application/json" -X POST \
+ http://localhost:9966/management/instances \
+ -d '{"auth":{"method":"token","token":"secret-token:other_secret"},"payto_uris":["payto://x-taler-bank/localhost/43"],"id":"test","name":"test","address":{},"jurisdiction":{},"default_max_wire_fee":"TESTKUDOS:1", "default_max_deposit_fee":"TESTKUDOS:1","default_wire_fee_amortization":1,"default_wire_transfer_delay":{"d_ms" : 3600000},"default_pay_delay":{"d_ms": 3600000}}' \
+ -w "%{http_code}" -s -o /dev/null)
+
+if [ "$STATUS" != "204" ]
+then
+ echo 'should respond ok, instance created. got:' $STATUS
+ exit 1
+fi
+
+echo " OK"
+
+
+echo -n "Deleting instance ..."
+
+STATUS=$(curl -H "Content-Type: application/json" -X DELETE \
+ "http://localhost:9966/management/instances/test" \
+ -w "%{http_code}" -s -o /dev/null)
+
+
+if [ "$STATUS" != "204" ]
+then
+ echo 'should respond ok, instance deleted. got:' $STATUS
+ exit 1
+fi
+
+echo " OK"
+echo -n "Purging instance ..."
+
+STATUS=$(curl -H "Content-Type: application/json" -X DELETE \
+ "http://localhost:9966/management/instances/test?purge=yes" \
+ -w "%{http_code}" -s -o /dev/null)
+
+
+if [ "$STATUS" != "204" ]
+then
+ echo 'should respond ok, instance deleted. got:' $STATUS
+ exit 1
+fi
+
+echo " OK"
+
+exit 0